Page MenuHomePhabricator

[Dashboards] Add/switch to bookmarking states
Closed, ResolvedPublic2 Story Points

Description

Shiny now supports bookmarkable state: users can save the state of an application and get a URL which will restore the application with that state. There are two types of bookmarking: encoding the state in a URL, and saving the state to the server. With an encoded state, the entire state of the application is contained in the URL’s query string. - https://blog.rstudio.org/2016/09/12/shiny-0-14/

Our dashboards should start using RStudio's official Shiny bookmarking states instead of shinyURL

Event Timeline

mpopov created this task.Sep 13 2016, 12:21 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2016, 12:21 AM
mpopov claimed this task.Sep 15 2016, 8:51 PM
mpopov moved this task from Needs triage to Current work on the Discovery-Analysis board.
mpopov moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.

Change 311155 had a related patch set uploaded (by Bearloga):
Add bookmarking states

https://gerrit.wikimedia.org/r/311155

Change 311156 had a related patch set uploaded (by Bearloga):
Add bookmarking states

https://gerrit.wikimedia.org/r/311156

Change 311157 had a related patch set uploaded (by Bearloga):
Add bookmarking states

https://gerrit.wikimedia.org/r/311157

Change 311158 had a related patch set uploaded (by Bearloga):
Add bookmarking states

https://gerrit.wikimedia.org/r/311158

Change 311159 had a related patch set uploaded (by Bearloga):
Add bookmarking states

https://gerrit.wikimedia.org/r/311159

Change 311156 merged by Chelsyx:
Add bookmarking states

https://gerrit.wikimedia.org/r/311156

Change 311155 merged by Chelsyx:
Add bookmarking states

https://gerrit.wikimedia.org/r/311155

Change 311157 merged by Chelsyx:
Add bookmarking states

https://gerrit.wikimedia.org/r/311157

Change 311158 merged by Chelsyx:
Add bookmarking states

https://gerrit.wikimedia.org/r/311158

Change 311159 merged by Chelsyx:
Add bookmarking states

https://gerrit.wikimedia.org/r/311159

debt closed this task as Resolved.Sep 23 2016, 9:13 PM
debt added a subscriber: debt.

Yay!!

Change 313870 had a related patch set uploaded (by Bearloga):
Deploy dashboard updates

https://gerrit.wikimedia.org/r/313870

Change 313870 merged by Bearloga:
Deploy dashboard updates

https://gerrit.wikimedia.org/r/313870